Create an activity
curl --request POST \
--url https://api.vendaze.com/v1/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "people",
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"content_html": "<p>Meeting held. Client confirmed interest in the Enterprise plan.</p>",
"files": [
{
"content": "https://storage.example.com/commercial-proposal.pdf"
}
]
}
'import requests
url = "https://api.vendaze.com/v1/activities"
payload = {
"entity": "people",
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"content_html": "<p>Meeting held. Client confirmed interest in the Enterprise plan.</p>",
"files": [{ "content": "https://storage.example.com/commercial-proposal.pdf" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: 'people',
id: 'c3d4e5f6-a7b8-9012-cdef-123456789012',
content_html: '<p>Meeting held. Client confirmed interest in the Enterprise plan.</p>',
files: [{content: 'https://storage.example.com/commercial-proposal.pdf'}]
})
};
fetch('https://api.vendaze.com/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "people",
"entity_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"content_html": "<p>Meeting held. Client confirmed interest in the Enterprise plan.</p>",
"attachments": [
{
"path": "workspaces/w1/people/c3d4/archives/Commercial_Proposal.pdf",
"url": "https://storage.vendaze.com/private/...?token=..."
}
],
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "John Smith",
"email": "john@company.com"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "bad_request",
"message": "Request body must be valid JSON.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Activities
Create an activity
Creates a new activity in the workspace.
Required scope
Required scope
activities:write
POST
/
v1
/
activities
Create an activity
Authorizations
OAuth 2.1 access token.
Body
application/json
Type of the entity to link the activity to.
Available options:
people, companies, deals Example:
"people"
UUID of the entity specified in entity.
Example:
"c3d4e5f6-a7b8-9012-cdef-123456789012"
Activity content in HTML.
Example:
"<p>Meeting held. Client confirmed interest in the Enterprise plan.</p>"
Files to attach. Maximum of 10 per request, up to 50 MB each.
Maximum array length:
10Show child attributes
Show child attributes
Response
Activity created successfully.
Full activity object returned in single-resource responses. Includes signed URLs for attached files.
Show child attributes
Show child attributes
Was this page helpful?
⌘I